<?php

namespace App\Services;

use App\Services\Service;
use App\Services\ServiceResponse\ServiceResponse;
use App\DAO\ConvenioProcedimentoDAO;

class ConvenioProcedimentoService extends Service {

	public function getListByUnidadeIdByProcedimentoId(int $idUnidade, $idProcedimento): ServiceResponse {

		$service_response = new ServiceResponse();
		$dao = new ConvenioProcedimentoDAO();
		$dao_response = $dao->getListByUnidadeIdByProcedimentoId( $idUnidade, $idProcedimento );
		$service_response = $this->setServiceResponse( $dao_response );

		return $service_response;

	}
	
	public function getDadosConvenioProcedimentoID(int $idConvenioProcedimento):ServiceResponse{
		
		$service_response = new ServiceResponse();
		$dao = new ConvenioProcedimentoDAO();
		$dao_response = $dao->getDadosConvenioProcedimentoID( $idConvenioProcedimento );
		$service_response = $this->setServiceResponse( $dao_response );
		
		return $service_response;
		
		
	}

}

